## org.eclipse.emf.importer.rose.builder
Class TableObject

    java.lang.Object
      org.eclipse.emf.importer.rose.builder.TableObject

    public class TableObject

extends java.lang.Object

Constructor Summary
`TableObject(java.lang.String name, java.lang.String quid, UnitTreeNode unitTree)`

Method Summary
`UnitTreeNode` `getContainer()`
`java.lang.String` `getName()`
`java.lang.Object` `getObject()`
`java.lang.String` `getQUID()`
`void` `setContainer(UnitTreeNode container)`
`void` `setName(java.lang.String name)`
`void` `setObject(java.lang.Object object)`
`void` `setQUID(java.lang.String quid)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TableObject

    public TableObject(java.lang.String name,
                       java.lang.String quid,
                       UnitTreeNode unitTree)

Method Detail

### setName

    public void setName(java.lang.String name)

### setQUID

    public void setQUID(java.lang.String quid)

### setContainer

    public void setContainer(UnitTreeNode container)

### getName

    public java.lang.String getName()

### getQUID

    public java.lang.String getQUID()

### getContainer

    public UnitTreeNode getContainer()

### setObject

    public void setObject(java.lang.Object object)

### getObject

    public java.lang.Object getObject()

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.